Bug 12103 - basename portability issues in rpm 3.0.4
basename portability issues in rpm 3.0.4
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-06-11 20:16 EDT by espie
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-09-14 13:59:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description espie 2000-06-11 20:16:08 EDT
BSD systems need a test for the basename prototype.
Typically, it's declared in libgen.h.
(see parsePrep.c)
Comment 1 Jeff Johnson 2000-07-31 11:43:58 EDT
If you append a patch, I will try to include, but I don't have access to an
build system at this time.
Comment 2 Jeff Johnson 2001-07-29 11:34:23 EDT
Please reopen with a patch.

Note You need to log in before you can comment on or make changes to this bug.